const express = require("express");
const router = express.Router();
const payroll = require("../payroll/payroll");
const validateFirebaseIdTokenMiddleware = require("../middleware/validateFirebaseIdTokenMiddleware");
const withUserGraphQLClientMiddleware = require("../middleware/withUserGraphQLClientMiddleware");

router.use(validateFirebaseIdTokenMiddleware);
router.use(withUserGraphQLClientMiddleware);

router.post("/calculatelabor", payroll.calculatelabor);
router.post("/payall", payroll.payall);
router.post("/claimtask", payroll.claimtask);

module.exports = router;
